[android-components](../../index.md) / [mozilla.components.concept.engine](../index.md) / [Engine](index.md) / [registerWebNotificationDelegate](./register-web-notification-delegate.md)

# registerWebNotificationDelegate

`open fun registerWebNotificationDelegate(webNotificationDelegate: `[`WebNotificationDelegate`](../../mozilla.components.concept.engine.webnotifications/-web-notification-delegate/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/Engine.kt#L145)

Registers a [WebNotificationDelegate](../../mozilla.components.concept.engine.webnotifications/-web-notification-delegate/index.md) to be notified of engine events
related to web notifications

### Parameters

`webNotificationDelegate` - callback to be invoked for web notification events.